### Method

# WebKit2WebExtension DOMDOMSelection modify

#### Declaration [src]

    void
    webkit_dom_dom_selection_modify (
      WebKitDOMDOMSelection* self,
      const gchar* alter,
      const gchar* direction,
      const gchar* granularity
    )

#### Description

No description available.

Available since: | 2.16
Deprecated since: | 2.22
Use JavaScriptCore API instead.

#### Parameters

`alter` | `const gchar*`
| A #gchar.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`direction` | `const gchar*`
| A #gchar.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`granularity` | `const gchar*`
| A #gchar.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.